## org.codehaus.groovy.grails.web.sitemesh
Class GrailsContentBufferingResponse

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.codehaus.groovy.grails.web.sitemesh.GrailsContentBufferingResponse

All Implemented Interfaces:
  HttpServletResponse, ServletResponse

    public class GrailsContentBufferingResponse

extends HttpServletResponseWrapper

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`GrailsContentBufferingResponse(HttpServletResponse response, com.opensymphony.sitemesh.ContentProcessor contentProcessor, com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)`

Method Summary
`com.opensymphony.sitemesh.Content` `getContent()`
`boolean` `isActive()`
`boolean` `isUsingStream()`
`void` `sendError(int sc)`
`void` `sendError(int sc, String msg)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentType, setLocale`

Constructor Detail

### GrailsContentBufferingResponse

    public GrailsContentBufferingResponse(HttpServletResponse response,
                                          com.opensymphony.sitemesh.ContentProcessor contentProcessor,
                                          com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)

Method Detail

### isUsingStream

    public boolean isUsingStream()

### isActive

    public boolean isActive()

### getContent

    public com.opensymphony.sitemesh.Content getContent()
                                                 throws IOException

  Throws:
    `IOException`

### sendError

    public void sendError(int sc)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### sendError

    public void sendError(int sc,
                          String msg)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

Copyright (c) 2005-2009 The Grails project